Retire a previous public key
POST
/v1/admin/products/{id}/retire-public-key
const url = 'https://api.sealcord.com/v1/admin/products/example/retire-public-key';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"public_key":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.sealcord.com/v1/admin/products/example/retire-public-key \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "public_key": "example" }'Stop accepting licence keys signed with a previous signing key. Removes public_key from previous_public_keys: licence keys signed with it stop activating (licence_key_invalid), on another API instance within the product catalogue’s 30 seconds. 409 conflict for the current key, 404 public_key_not_found for a key the product does not accept.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
public_key
required
string
Examplegenerated
{ "public_key": "example"}Responses
Section titled “Responses”Missing or invalid API key.
Needs scope products:write.